package cn.yw.video.videochannelset.model;

import cn.base.bean.BaseBean;
//[设备通道报警输入]

public class SbtdspsrBean extends BaseBean implements java.io.Serializable {
	private String xh;//[序号]
	private String sbbh;//[设备编号]
	private int tdbh;//[通道编号]
	private int tdlx;//[通道类型]
	private String wbbh;//[外部编号]
	private String tdmc;//[通道名称]
	private String tdmcpy;//[通道名称拼音]
	private int tdzt;//[通道状态]
	private String tdazwz;//[通道安装位置]
	private String jd;//[经度]
	private String wd;//[纬度]
	private int tpwzx;//[图片位置x]
	private int tpwzy;//[图片位置y]
	private int spbmgs;//[视频编码格式]
	private int spxsgs;//[视频显示格式]
	private int ssspsfzzf;//[实时视频是否走转发]
	private int spzt;//[视频状态]
	private int lxzt;//[录像状态]
	private int lxsfzzf;//[录像是否走转发]
	private int spzl;//[视频帧率]
	private int gjzjg;//[关键帧间隔]
	private int ml;//[码率]
	private int spmlyxgs;//[视频码率优先格式]
	private int sfzcptzkz;//[是否支持ptz控制]
	private String zxcczbh;//[中心存储组编号]
	private int zxccxe;//[中心存储限额]
	private long zxccyyrl;//[中心存储已用容量]
	private long zxccsyrl;//[中心存储剩余容量]
	private int lxblts;//[录像保留天数]
	private int sfqy;//[是否启用]
	private String jlbh;//[级联编号]
	private String fxms;//[方向描述]
	private String jbms;//[基本描述]
	private String xzbh;//[行政编号]
	private String ggbh;//[公共编号]
	private String znbh;//[职能编号]
	private int lxfs;//[录像方式]
	private String jpkzdh;//[键盘控制短号]
	private int jdpx;//[节点排序]
	private int sfznfxjd;//[是否智能分析节点]
	private String znfxlx;//[智能分析类型]
	private int sqms;//[上墙模式]
	private String squrllj;//[上墙url路径]
	private int ssmlxz;//[实时码流选择]
	private int lxmlxz;//[录像码流选择]
	private String zburllj;//[组播url路径]
	private int zbdk;//[组播端口]
	private int dqx;//[读权限]
	private int xqx;//[写权限]
	private int kqx;//[控权限]
	private int pqx;//[配权限]
	private int lxhfqx;//[录像回放权限]
	private int lxxzqx;//[录像下载权限]
	private int lxdjqx;//[录像冻结权限]
	private int sfzlx;//[是否在录像]
	private int sfzx;//[是否在线]
	private String hb;//[海拔]
	private String jmcj;//[解码插件]
	private String sj;//[视角]
	private int lxlrcyfs;//[录像录入采用方式]
	private String khdosdxsnr;//[客户端osd显示内容]
	private String khdosdxswz;//[客户端osd显示位置]
	private String cjry;//[创建人员]
	private String cjrq;//[创建日期]
	private String xgry;//[修改人员]
	private String xgrq;//[修改日期]
	private String bz;//[备注]
	private int kz1;//[扩展1]
	private int kz2;//[扩展2]
	private String kz3;//[扩展3]
	private String kz4;//[扩展4]
	public void setXh(String xh){
		this.xh = xh;
	}
	public String getXh(){
		return xh;
	}
	public void setSbbh(String sbbh){
		this.sbbh = sbbh;
	}
	public String getSbbh(){
		return sbbh;
	}
	public void setTdbh(int tdbh){
		this.tdbh = tdbh;
	}
	public int getTdbh(){
		return tdbh;
	}
	public void setTdlx(int tdlx){
		this.tdlx = tdlx;
	}
	public int getTdlx(){
		return tdlx;
	}
	public void setWbbh(String wbbh){
		this.wbbh = wbbh;
	}
	public String getWbbh(){
		return wbbh;
	}
	public void setTdmc(String tdmc){
		this.tdmc = tdmc;
	}
	public String getTdmc(){
		return tdmc;
	}
	public void setTdmcpy(String tdmcpy){
		this.tdmcpy = tdmcpy;
	}
	public String getTdmcpy(){
		return tdmcpy;
	}
	public void setTdzt(int tdzt){
		this.tdzt = tdzt;
	}
	public int getTdzt(){
		return tdzt;
	}
	public void setTdazwz(String tdazwz){
		this.tdazwz = tdazwz;
	}
	public String getTdazwz(){
		return tdazwz;
	}
	public void setJd(String jd){
		this.jd = jd;
	}
	public String getJd(){
		return jd;
	}
	public void setWd(String wd){
		this.wd = wd;
	}
	public String getWd(){
		return wd;
	}
	public void setTpwzx(int tpwzx){
		this.tpwzx = tpwzx;
	}
	public int getTpwzx(){
		return tpwzx;
	}
	public void setTpwzy(int tpwzy){
		this.tpwzy = tpwzy;
	}
	public int getTpwzy(){
		return tpwzy;
	}
	public void setSpbmgs(int spbmgs){
		this.spbmgs = spbmgs;
	}
	public int getSpbmgs(){
		return spbmgs;
	}
	public void setSpxsgs(int spxsgs){
		this.spxsgs = spxsgs;
	}
	public int getSpxsgs(){
		return spxsgs;
	}
	public void setSsspsfzzf(int ssspsfzzf){
		this.ssspsfzzf = ssspsfzzf;
	}
	public int getSsspsfzzf(){
		return ssspsfzzf;
	}
	public void setSpzt(int spzt){
		this.spzt = spzt;
	}
	public int getSpzt(){
		return spzt;
	}
	public void setLxzt(int lxzt){
		this.lxzt = lxzt;
	}
	public int getLxzt(){
		return lxzt;
	}
	public void setLxsfzzf(int lxsfzzf){
		this.lxsfzzf = lxsfzzf;
	}
	public int getLxsfzzf(){
		return lxsfzzf;
	}
	public void setSpzl(int spzl){
		this.spzl = spzl;
	}
	public int getSpzl(){
		return spzl;
	}
	public void setGjzjg(int gjzjg){
		this.gjzjg = gjzjg;
	}
	public int getGjzjg(){
		return gjzjg;
	}
	public void setMl(int ml){
		this.ml = ml;
	}
	public int getMl(){
		return ml;
	}
	public void setSpmlyxgs(int spmlyxgs){
		this.spmlyxgs = spmlyxgs;
	}
	public int getSpmlyxgs(){
		return spmlyxgs;
	}
	public void setSfzcptzkz(int sfzcptzkz){
		this.sfzcptzkz = sfzcptzkz;
	}
	public int getSfzcptzkz(){
		return sfzcptzkz;
	}
	public void setZxcczbh(String zxcczbh){
		this.zxcczbh = zxcczbh;
	}
	public String getZxcczbh(){
		return zxcczbh;
	}
	public void setZxccxe(int zxccxe){
		this.zxccxe = zxccxe;
	}
	public int getZxccxe(){
		return zxccxe;
	}
	public void setZxccyyrl(long zxccyyrl){
		this.zxccyyrl = zxccyyrl;
	}
	public long getZxccyyrl(){
		return zxccyyrl;
	}
	public void setZxccsyrl(long zxccsyrl){
		this.zxccsyrl = zxccsyrl;
	}
	public long getZxccsyrl(){
		return zxccsyrl;
	}
	public void setLxblts(int lxblts){
		this.lxblts = lxblts;
	}
	public int getLxblts(){
		return lxblts;
	}
	public void setSfqy(int sfqy){
		this.sfqy = sfqy;
	}
	public int getSfqy(){
		return sfqy;
	}
	public void setJlbh(String jlbh){
		this.jlbh = jlbh;
	}
	public String getJlbh(){
		return jlbh;
	}
	public void setFxms(String fxms){
		this.fxms = fxms;
	}
	public String getFxms(){
		return fxms;
	}
	public void setJbms(String jbms){
		this.jbms = jbms;
	}
	public String getJbms(){
		return jbms;
	}
	public void setXzbh(String xzbh){
		this.xzbh = xzbh;
	}
	public String getXzbh(){
		return xzbh;
	}
	public void setGgbh(String ggbh){
		this.ggbh = ggbh;
	}
	public String getGgbh(){
		return ggbh;
	}
	public void setZnbh(String znbh){
		this.znbh = znbh;
	}
	public String getZnbh(){
		return znbh;
	}
	public void setLxfs(int lxfs){
		this.lxfs = lxfs;
	}
	public int getLxfs(){
		return lxfs;
	}
	public void setJpkzdh(String jpkzdh){
		this.jpkzdh = jpkzdh;
	}
	public String getJpkzdh(){
		return jpkzdh;
	}
	public void setJdpx(int jdpx){
		this.jdpx = jdpx;
	}
	public int getJdpx(){
		return jdpx;
	}
	public void setSfznfxjd(int sfznfxjd){
		this.sfznfxjd = sfznfxjd;
	}
	public int getSfznfxjd(){
		return sfznfxjd;
	}
	public void setZnfxlx(String znfxlx){
		this.znfxlx = znfxlx;
	}
	public String getZnfxlx(){
		return znfxlx;
	}
	public void setSqms(int sqms){
		this.sqms = sqms;
	}
	public int getSqms(){
		return sqms;
	}
	public void setSqurllj(String squrllj){
		this.squrllj = squrllj;
	}
	public String getSqurllj(){
		return squrllj;
	}
	public void setSsmlxz(int ssmlxz){
		this.ssmlxz = ssmlxz;
	}
	public int getSsmlxz(){
		return ssmlxz;
	}
	public void setLxmlxz(int lxmlxz){
		this.lxmlxz = lxmlxz;
	}
	public int getLxmlxz(){
		return lxmlxz;
	}
	public void setZburllj(String zburllj){
		this.zburllj = zburllj;
	}
	public String getZburllj(){
		return zburllj;
	}
	public void setZbdk(int zbdk){
		this.zbdk = zbdk;
	}
	public int getZbdk(){
		return zbdk;
	}
	public void setDqx(int dqx){
		this.dqx = dqx;
	}
	public int getDqx(){
		return dqx;
	}
	public void setXqx(int xqx){
		this.xqx = xqx;
	}
	public int getXqx(){
		return xqx;
	}
	public void setKqx(int kqx){
		this.kqx = kqx;
	}
	public int getKqx(){
		return kqx;
	}
	public void setPqx(int pqx){
		this.pqx = pqx;
	}
	public int getPqx(){
		return pqx;
	}
	public void setLxhfqx(int lxhfqx){
		this.lxhfqx = lxhfqx;
	}
	public int getLxhfqx(){
		return lxhfqx;
	}
	public void setLxxzqx(int lxxzqx){
		this.lxxzqx = lxxzqx;
	}
	public int getLxxzqx(){
		return lxxzqx;
	}
	public void setLxdjqx(int lxdjqx){
		this.lxdjqx = lxdjqx;
	}
	public int getLxdjqx(){
		return lxdjqx;
	}
	public void setSfzlx(int sfzlx){
		this.sfzlx = sfzlx;
	}
	public int getSfzlx(){
		return sfzlx;
	}
	public void setSfzx(int sfzx){
		this.sfzx = sfzx;
	}
	public int getSfzx(){
		return sfzx;
	}
	public void setHb(String hb){
		this.hb = hb;
	}
	public String getHb(){
		return hb;
	}
	public void setJmcj(String jmcj){
		this.jmcj = jmcj;
	}
	public String getJmcj(){
		return jmcj;
	}
	public void setSj(String sj){
		this.sj = sj;
	}
	public String getSj(){
		return sj;
	}
	public void setLxlrcyfs(int lxlrcyfs){
		this.lxlrcyfs = lxlrcyfs;
	}
	public int getLxlrcyfs(){
		return lxlrcyfs;
	}
	public void setKhdosdxsnr(String khdosdxsnr){
		this.khdosdxsnr = khdosdxsnr;
	}
	public String getKhdosdxsnr(){
		return khdosdxsnr;
	}
	public void setKhdosdxswz(String khdosdxswz){
		this.khdosdxswz = khdosdxswz;
	}
	public String getKhdosdxswz(){
		return khdosdxswz;
	}
	public void setCjry(String cjry){
		this.cjry = cjry;
	}
	public String getCjry(){
		return cjry;
	}
	public void setCjrq(String cjrq){
		this.cjrq = cjrq;
	}
	public String getCjrq(){
		return cjrq;
	}
	public void setXgry(String xgry){
		this.xgry = xgry;
	}
	public String getXgry(){
		return xgry;
	}
	public void setXgrq(String xgrq){
		this.xgrq = xgrq;
	}
	public String getXgrq(){
		return xgrq;
	}
	public void setBz(String bz){
		this.bz = bz;
	}
	public String getBz(){
		return bz;
	}
	public void setKz1(int kz1){
		this.kz1 = kz1;
	}
	public int getKz1(){
		return kz1;
	}
	public void setKz2(int kz2){
		this.kz2 = kz2;
	}
	public int getKz2(){
		return kz2;
	}
	public void setKz3(String kz3){
		this.kz3 = kz3;
	}
	public String getKz3(){
		return kz3;
	}
	public void setKz4(String kz4){
		this.kz4 = kz4;
	}
	public String getKz4(){
		return kz4;
	}
}